/**
 *  Defines for your entire project at one place
 *
 *	@author 	Tilen Majerle
 *	@email		tilen@majerle.eu
 *	@website	http://stm32f4-discovery.com
 *	@version 	v1.0
 *	@ide		Keil uVision 5
 *	@license	GNU GPL v3
 *
 * This is the define file for the SBMS100 project.
 *
 * |----------------------------------------------------------------------
 * | Copyright (C) Tilen Majerle, 2014
 * |
 * | This program is free software: you can redistribute it and/or modify
 * | it under the terms of the GNU General Public License as published by
 * | the Free Software Foundation, either version 3 of the License, or
 * | any later version.
 * |
 * | This program is distributed in the hope that it will be useful,
 * | but WITHOUT ANY WARRANTY; without even the implied warranty of
 * | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * | GNU General Public License for more details.
 * |
 * | You should have received a copy of the GNU General Public License
 * | along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * |----------------------------------------------------------------------
 */
#ifndef TM_DEFINES_H
#define TM_DEFINES_H

/* global SPI define for SBMS100 */

#endif
/* Change custom SPI for LCD */
#define ILI9341_SPI                 SPI2 //
#define ILI9341_SPI_PINS            TM_SPI_PinsPack_Custom

/* Change custom CS, DC the RESET pin is not used */
/* CS pin */
#define ILI9341_CS_PORT              GPIOF
#define ILI9341_CS_PIN               GPIO_PIN_7
/* WRX or DC pin */
#define ILI9341_WRX_PORT             GPIOA
#define ILI9341_WRX_PIN              GPIO_PIN_9

//#define ILI9341_LCDLED_PORT             GPIOC
//#define ILI9341_LCDLED_PIN              GPIO_PIN_13

#define TM_SPI2_PRESCALER	SPI_BaudRatePrescaler_2
#define TM_SPI2_FIRSTBIT 	SPI_FirstBit_MSB

/* SPI1 for 128Mbit SPI Flash */

#define S25FL127S_SPI                 SPI1 //
#define S25FL127S_SPI_PINS            TM_SPI_PinsPack_2


#define S25FL127S_CS_PORT          GPIOA
#define S25FL127S_CS_PIN           GPIO_PIN_15


#define TM_SPI1_PRESCALER	SPI_BaudRatePrescaler_2
#define TM_SPI1_FIRSTBIT 	SPI_FirstBit_MSB
